let globalStyle = {
    cityLand(gridcode) {
        let fillColor = ["#6E7F8580","#7B9CFB80","#979B4980","#E9920980","#182F1380","#30791380","#0D53AF80"];
        return new ol.style.Style({
            fill: new ol.style.Fill({
                color: fillColor[gridcode],
            })
        });
    },
    pointStyle(f){
        let style = new ol.style.Style({
            text: new ol.style.Text({
                text:f.getId() ? f.getId() : f.get("id"),
                stroke: new ol.style.Stroke({
                    color: 'rgba(239,236,236)',
                    width: 1,
                }),
                fill: new ol.style.Fill({
                    color: 'rgba(239,236,236)',
                }),
                font:"14px sans-serif"
            }),
            image: new ol.style.Icon({
                src:"/static/images/status_"+f.get("status")+".png",
                scale:0.3,
                anchor:[0.5,1],
            })
        });
        return style
    },
    cropStyle(f){
        if(f.get("isPoint")){
            return globalStyle.pointStyle(f)
        }
        const fill = new ol.style.Fill({
            color: 'rgba(255,255,255,0.1)',
        });
        return new ol.style.Style({
            fill:fill
        });
    },selectedCropStyle(f){
        if(f.get("isPoint")){
            return globalStyle.pointStyle(f)
        }
        const stroke = new ol.style.Stroke({
            color: 'rgb(10,241,23)',
            width: 2
        });
        return new ol.style.Style({
            stroke:stroke
        });
    }

}